# The MEME Suite

## Motif-based sequence analysis tools

## fasta-get-markov

### Usage:

`fasta-get-markov [options] [sequence file] [background file]`

### Description

The program fasta-get-markov estimates a Markov model from a FASTA file of sequences. It ignores (removes) ambiguous characters before computing the model. The model is based on both DNA strands unless you specify -norc.

### Input

Sequences in FASTA format from standard input or optionally specified as a file.

### Output

Writes a Markov background model to standard output or optionally to a file.

### Options

Option | Parameter | Description | Default Behaviour
--- | --- | --- | ---
General Options
-m | n | Use a Markov model of n-order. | A 0-order Markov model is used.
-norc |  | Do not combine forward and reverse complement frequencies. |
-p |  | Use protein alphabet. | Use DNA alphabet.
-pseudo | count | Pseudocount added to avoid probabilities of zero. | Adds a pseudocount of 0.1.
-nostatus |  | Do not display progress messages to standard error. | Displays a progress message every half a second.
-help |  | Print a help message and exit. | Runs as normal.